$green: #297045;
$beige: #ECBA82;
$light-green: #297045c2;
$font-white: whitesmoke;
$white: #FFFFFF;
$main-title-size: 80px;
$project-card-br: 10px;


@font-face {
    font-family: 'Sombra';
    src: url(./../fonts/FontsFree-Net-Sombra-Black.ttf);
}

.flex {
    display: flex;
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    font-family: Sombra;
    width: 100vw;
    scroll-behavior: smooth;
    background: $white;
    margin-bottom: 100px;
}

header {
    width: 90vw;
    justify-content: space-between;
    margin-top: 20px;
    align-items: center;

    #header-top {
        display: flex;
        align-items: center;
        gap: 30px;

        #title {
            font-size: 100px;
            text-transform: capitalize;
            margin: 25px 0px;
        }
        
        #button-lien-projet {
            padding: 10px;
            background: $green;
            text-decoration: none;
            color: white;
            border-radius: 10px;
            font-size: 25px;;
        }
    }

    #header-cross {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 80px;
        height: 80px;
        background: white;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
        align-items: space-between;
        gap: 30px;
        
        &:hover {
            -webkit-box-shadow: inset 0px 0px 10px #aaaaaa;
            -moz-box-shadow: inset 0px 0px 10px #aaaaaa;
            box-shadow: inset 0px 0px 10px #aaaaaa;
        }
        
        img {
            width: 50px;
            transition: 200ms;
            &:hover {
                width: 57px;
            }
        }
    }
}

.dfex-col-wrap {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
}

.gap40 {
    gap: 40px;
}

.mt50 {
    margin-top: 50px;
}

.main-content-container {
    img {
        width: 1000px;
        height: 650px;
    }

    div {
        width: 350px;
        height: 650px;
        p:first-child {
            font-size: 50px;
            margin: 0;
            color: $green;
        }
        p:nth-child(2) {
            font-size: 24px;
            margin: 20px 0px;
            line-height: 31px;
        }
    }
}

.content-container {
    img {
        width: 600px;
        height: 360px;
    }
    div {
        width: 750px;

        p:first-child {
            font-size: 50px;
            margin: 0;
            color: $green;
        }
        p:nth-child(2) {
            font-size: 24px;
            margin: 20px 0px;
            line-height: 31px;
        }
    }
}

.odd {
    flex-direction: row-reverse;
}

#back-to-top {
    position: fixed;
    bottom: 55px;
    right: 55px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    padding: 20px;
    border-radius: 10px;
    border: 1px solid black;
}

#description-container {
    width: 90%;

    
     #description {
         width: 50%;
     }
}

#technos-container {
    width: 90vw;
    display: flex;gap: 30px;
    margin-top:50px;
    margin-bottom: 50px;
}

.techno {
    padding: 18px;
    background: grey;
    border-radius: 10px;
}
